<?php require_once('./forms/FormsConfig.php'); ?>

<?php 
	
	$linuxServerOptions = array ( 
	
	  	'MaximumSpace' => -1,
	    'MaximumTransfer' => -1,
	    'MaximumEmailAccounts' => -1,
	    'MaximumRedirectionAccount' => -1,
	    'MaximumFtpAccount' => -1,
	    'MaximumDatabase' => -1,
	    'MaximumDistributionLists' => -1,
	    'Subdomains' => true,
	    'Postgresql' => true,
	    'POPEmail' => true,
	    'RedirectionEmail' => true,
	    'EmailFilter' => true,
	    'Password' => true,
	    'FtpAccount' => true,
	    'ProtectFolders' => true,
	    'SecurityServer' => true,
	    'Statistics' => true,
	    'FrontPageExt' => true,
	    'ZonesManagement' => true,
	    'Phpconfig' => true,
	    'Cron' => true,
	    'Red' => true,
	    'FtpAccess' => true,
	    'SshAccess' => true,
	    'MySqlManagement' => true,
	    'Forms' => true,
	    'Counters' => true,
	    'DistributionLists' => true,
	    'PromoteWeb' => true,
	    'Phorum' => true,
	    'GuestBooks' => true,
	    'WordPress' => true,
	    'Zenphoto' => true,
	    'Cms' => true,
	    'Gallery2' => true,
	    'Drupal' => true,
	    'Joomla' => true,
	    'PhpBB' => true,
	    'Oscommerce' => true,
	    'Uebimiau' => true,
	    'Smf' => true,
	    'sBlog' => true,
	    'Coppermine' => true,
	    'Openx' => true,
	    'Atmail' => true,
	    'Magento' => true,
	    'Dotproject' => true,
	    'Mantis' => true,
	    'Squirremail' => true
  	);
  
	$windowsServerOptions = array (
	
		'MaximumSpace' => -1,
	    'MaximumTransfer' => -1,
	    'MaximumEmailAccounts' => -1,
	    'MaximumRedirectionAccount' => -1,
	    'MaximumFtpAccount' => -1,
	    'MaximumDatabase' => -1,
	    'AccessDnsWin' => true,
	    'Subdomains' => true,
	    'Postgresql' => true,
	    'POPEmail' => true,
	    'RedirectionEmail' => true,
	    'EmailFilter' => true,
	    'Password' => true,
	    'FtpAccount' => true,
	    'ProtectFolders' => true,
	    'SecurityServer' => true,
	    'Statistics' => true,
	    'FrontPageExt' => true,
	    'ZonesManagement' => true,
	    'FtpAccess' => true,
	    'MySqlManagement' => true,
	    'AccessDns' => true,
	    'MySqlDns' => true,
	    'SqlServer' => true,
	    'SqlServerDns' => true,
	    'Forms' => true,
	    'Counters' => true,
	    'PromoteWeb' => true,
	    'Phorum' => true,
	    'GuestBooks' => true,
	    'WordPress' => true,
	    'Zenphoto' => true,
	    'Cms' => true,
	    'Gallery2' => true,
	    'Drupal' => true,
	    'Joomla' => true,
	    'PhpBB' => true,
	    'Oscommerce' => true,
	    'Smf' => true,
	    'sBlog' => true,
	    'Coppermine' => true,
	    'Openx' => true,
	    'Uebimiau' => true,
	    'Dotproject' => true
	);

	function getOsOptions($osOptions) {
		
		foreach($osOptions as $key => $value) {
			
			echo "<div><span><label>$key: </label>\r\n";
			
			if (is_bool($value)) {
				echo "<select name=\"assoc_options_$key\"></option><option value=\"true\">true</option><option value=\"false\">false</option></select>\r\n";
			}
			else {
				echo "<input type='text' name='assoc_options_$key' value='$value' />\r\n";
			}
			
			echo "</span></div>\r\n";
		}
	}
?>

<script type="text/javascript">

function changeOs(os) {

	var osOptionsDiv = os == "Linux" ? "linuxOptionsDiv" : "windowsOptionsDiv";
	document.getElementById("osOptions").innerHTML = document.getElementById(osOptionsDiv).innerHTML;
}

</script>

<div id="linuxOptionsDiv" style="display: none;"><?php getOsOptions($linuxServerOptions); ?></div>
<div id="windowsOptionsDiv" style="display: none;"><?php getOsOptions($windowsServerOptions); ?></div>

<form method="POST" action="<?php echo ACTION_FORM_URL; ?>">
    <div>
        <span>
            <label> Setup name. : </label>
            <input type="text" name="setupName" />
        </span>
    </div>

	<div>
		<span>
			<label>Server OS:</label>
			<select onchange="changeOs(this.value);">
				<option value="Linux">Linux</option>
				<option value="Windows">Windows</option>
			</select>
		</span>
	</div>
	<div style="clear: both; text-align: center; padding: 10px 0 5px 0;"><strong>Options</strong><br /></div>
	<div id="osOptions">
		<?php getOsOptions($linuxServerOptions); ?>
	</div>

    <div>
        <span>
        <input type="submit" name="update" value="Update" />
        </span>
    </div>
    <input type="hidden" name="command" value="Dedicated_HostingSetup_Update" />
</form> 