<?php require_once('./forms/FormsConfig.php'); ?>

<?php 
	$inputData = array (
		'FirstName',
		'LastName',
		'OrganizationName',
		'Address1',
		'City',
		'StateProvince',
		'PostalCode',
		'Country',
		'Phone',
		'EmailAddress'
	)
?>

<script type="text/javascript">

	function startsWith(str1, str2) {
		
		return (str1.match("^"+str2)==str2);
	}

	function getPreNameOption(name) {

		var select = document.getElementById("contactType");
		for (var j = 0; j < select.length; j++) {

			var x = 'assoc_contacts_' + (select[j].value).charAt(0).toUpperCase() + (select[j].value).slice(1);

			if (startsWith(name, x)) {
				return x;
			}
		}
	}
	
	function onSubmitSetContactsForm() {
		
		var contactType = document.getElementById("contactType").value;
		contactType = contactType.charAt(0).toUpperCase() + contactType.slice(1);
		var frm = document.getElementById("setContactsForm");
		var currentPreNameOption = null;
		
		for (var i=0; i < frm.elements.length; i++) {
			
			if (frm.elements[i].type == 'text') {
				
				if (!startsWith(frm.elements[i].name, 'assoc_contacts_')) {
					
					frm.elements[i].name = ('assoc_contacts_' + contactType + frm.elements[i].name);
				}
				else {

					if (currentPreNameOption == null) {
						currentPreNameOption = getPreNameOption(frm.elements[i].name);
					}
					frm.elements[i].name = 'assoc_contacts_' + contactType + (frm.elements[i].name.slice(currentPreNameOption.length));
				}
				
			}
		}
	}

</script>

<form id="setContactsForm" name="setContactsForm" method="POST" onsubmit="onSubmitSetContactsForm();" action="<?php echo ACTION_FORM_URL; ?>">
    <div>
        <span>
            <label>Contact type (registrant, admin, billing or technical ). : </label>
            <select name="contactType" id="contactType">
                <option value="registrant">registrant</option>
                <option value="admin">admin</option>
                <option value="billing">billing</option>
                <option value="tech">tech</option>
            </select>
        </span>
    </div>

	<?php foreach ($inputData as $inputName) : ?>
		<div>
			<span>
				<label><?php echo $inputName; ?> :</label>
				<input type="text" name="<?php echo $inputName; ?>" />
			</span>
		</div>
	<?php endforeach; ?>

    <div>
        <span>
        <input type="submit" name="set" value="Set" >
        </span>
    </div>
    <input type="hidden" name="command" value="Domain_Contacts_Set" >
</form> 