<?php require_once('./forms/FormsConfig.php'); ?>

<script type="text/javascript">

function addEvent(element, event, f) {
	
    if (element.addEventListener) {
    	element.addEventListener(event, f, false);
    }
    else {
		element.attachEvent("on"+event, f);
    }
}

function addEmailAccount() {

	var targetDiv = document.getElementById("excludedEmailAccountsDiv");

	var newDiv = document.createElement("div");	
	var newLabel = document.createElement("label");
	newLabel.innerHTML = "excluded email account : ";
	var newInput = document.createElement("input");
	newInput.setAttribute("name", "excluded[]");
	newInput.setAttribute("type", "text");
	var deleteNewInput = document.createElement("a");
	deleteNewInput.setAttribute("href", "#");
	deleteNewInput.innerHTML = "<img src='/images/delete.png' />";
	
	newDiv.appendChild(newLabel);
	newDiv.appendChild(newInput);
	newDiv.appendChild(deleteNewInput);
	targetDiv.appendChild(newDiv);

	addEvent(deleteNewInput, "click", function() { targetDiv.removeChild(newDiv); });
}

</script>

<form method="POST" action="<?= ACTION_FORM_URL ?>">
    <div>
        <span>
            <label>Existing email account alias ( without hostname ) : </label>
            <input type="text" name="alias">
        </span>
    </div>
    <div>
        <span>
            <label>Autoresponse text. : </label>
            <input type="text" name="text">
        </span>
    </div>
    <div id="excludedEmailAccountsDiv">
        <div>
            <label>excluded email account : </label>
            <input type="text" name="excluded[]" />
        </div>
    </div>
    <div>
    	<span>
    		<button type="button" onclick="addEmailAccount();">add excluded email account</button>
    	</span>
    </div>
    <div>
        <span>
            <label>Start datetime. Format: yyyy-MM-dd. If empty, autoresponse starts now.  (optional) : </label>
            <input type="text" name="start">
        </span>
    </div>
    <div>
        <span>
            <label>End datetime. Format: yyyy-MM-dd. If empty, autoresponse doesn't expire.  (optional) : </label>
            <input type="text" name="end">
        </span>
    </div>
    <div>
        <span>
        <input type="submit" name="create" value="Create" >
        </span>
    </div>
    <input type="hidden" name="command" value="Hosting_Email_Autoresponse_Create" >
</form> 