<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<!--[if lt IE 9]><script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js" type="text/javascript"></script><![endif]-->
<link rel="stylesheet" href="./css/style.css" />
<link href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/themes/base/jquery-ui.css" rel="stylesheet" type="text/css"/>
<script src="./jquery/jquery-1.5.2.min.js" type="text/javascript"></script>
<script src="./jquery/jquery.form.js" type="text/javascript"></script>
<script src="./jquery/jquery-ui-1.8.11.custom.min.js" type="text/javascript"></script>
<script src="./jquery/jquery.scrollTo-min.js" type="text/javascript"></script>

<script type="text/javascript">

$(document).ready(function() {

	$('.mas, .menos').click(function (e) {

		$(this).find('ul').first().slideToggle('fast');

		var addOrRemoveMas = !$(this).hasClass('mas');

		$(this).toggleClass('mas', addOrRemoveMas);
		$(this).toggleClass('menos', !addOrRemoveMas);

		return false;
	});

	$('.comando').click( function(e) {

		$('.comando').removeClass('seleccionado');
		$(this).addClass('seleccionado');

		return false;
	});
});

function selectSection(section) {

	$('.section').removeClass('sectionSelected');
	$('#' + section).addClass('sectionSelected');
}

function changeOption(option) {

	$('#formSection').show();
	$('#formResponseSection').hide();
	$('#formNameH2').html(option);
	selectSection('formSection');
	
	$.post('obtenerAjaxForm.php', {'command': option}, function(response) {

		$('#formBody').css({'height' : 'auto'});
		$('#formBody').html(response);
		cambiaEstiloFormulario();

		$('#formBody').find("form").submit(function () {

			$('#formResponseBody').html('');
			$('#formResponseSection').show();
			$('#loadingIco').show();
		});
		
		$('#formBody').find("form").ajaxForm(function (formResponse) {
			
			var maxFormResponseHeight = $('#cuerpo').height() - $('#formResponseSection').offset().top;
			$('#formResponseSection').css({ 'max-height' : maxFormResponseHeight + 'px' });
			$('#formResponseBody').css({ 'max-height' : (maxFormResponseHeight - $('#formResponseHeader').height() - 20) + 'px' });
			$('#formResponseBody').html(formResponse);

			selectSection('formResponseSection');
			
			if ( $.browser.msie && $('#formResponseBody').height() > maxFormResponseHeight ) {
				$('#formResponseBody').css({'height' : (maxFormResponseHeight < 100 ? 100 : maxFormResponseHeight) + 'px'});
			}

			$('#loadingIco').slideUp('fast');	
		});
	});
}

function cambiaEstiloFormulario() {

	var form = $('#formBody').find('form');

	if ( $('#formBody').height() > 230 ) {
		$('#formBody').css({'height' : '230px'});
	}
	
	form.find('button').parent().parent().addClass('buttonDiv');
	form.find('input:submit').parent().parent().addClass('submitDiv');
	form.find('input:submit').addClass('submitButton');
}

</script>

<?php 
	require_once('./config.php');
?>

</head>
<body>
<div class="content">
	<div id="menuIzd" class="menuIzd">
		<div id="cabeceraMenuIzd">
			<h3><a href="#">Tu hosting</a></h3>
		</div>
		<ul style="margin-top: 15px; padding-right: 10px;">
		<?php
     
			require_once('./listaComandos.php');
			
			$auxArray = null;
			$indent = 0;
			$closeUl = true;
			
			foreach(getCommandListArray() as $command) {

				$tokens = explode('_', $command);

				for ($i = 0; $i < count($tokens); $i++) {

					if ($i < count($tokens) - 1) {
						
						if ($tokens[$i] != $auxArray[$i]) {
							
							if (!is_null($auxArray)) {

								if ($i > ($indent + 1)) {
									
										echo '<ul>';
								}
								else if ($i <= $indent) {

									for ($j = 0; $j < ($indent - $i); $j++) { 
										echo '</ul></li>'. "\r\n";
									}
									if ($closeUl == false) {	
										echo '</li>'. "\r\n";
										$closeUl = true;
									}
									else {
										echo '</ul></li>'. "\r\n";
									}
								}
							}
							
							echo '<li class="mas"><span class="tituloSeccion">' . $tokens[$i] . '</span>'. "\r\n";
							echo '<ul class="oculto">'. "\r\n";
							
							$indent = $i;
						}							
					}
					else {
						if ($i == $indent && $closeUl) {
							
							echo '</ul>'. "\r\n";
							$closeUl = false;
						}
						echo '<li class="comando" onclick="changeOption(\'' . $command . '\');"><span>' . $tokens[$i] . '</span></li>' . "\r\n";
					}
				}

				$auxArray = $tokens;
			}
			
			echo '</ul></li>';
	
		?>
		</ul>
	</div>

	<div id="cuerpo" class="cuerpo">
		
		<div id="cabeceraCuerpo">
			<h1>Domain: <?php echo DOMAIN; ?></h1>
		</div>
	
		<div id="formSection" class="section oculto">
			<div class="sectionHeader" id="formSectionHeader">
				<h2 id="formNameH2"></h2>
			</div>
			<div id ="formBody" class="sectionBody apiForm"></div>
		</div>
		
		<div id="formResponseSection" class="section oculto">
			<div class="sectionHeader" id="formResponseHeader">
				<h2>Response</h2>
			</div>
			<div class="loadingIcoDiv">
				<img id="loadingIco" src="images/loader.gif" class="oculto" alt="loading..." style="width: 16px; height: 16px;" />
			</div>
			<div id="formResponseBody" class="sectionBody"></div>
		</div>
	</div>

</div>

</body>
</html>